Bug 52460 - [PATCH] add IDE NEC DVD-ROM to blacklist
[PATCH] add IDE NEC DVD-ROM to blacklist
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
All Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-23 17:41 EDT by Matt Domsch
Modified: 2007-04-18 12:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-06 11:21:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2001-08-23 17:41:06 EDT
Patch below adds an NEC DVD-ROM drive we're shipping to the DMA 
blacklist.  Patch provided against 2.4.7-2.7 kernel.

Thanks,
Matt

--- linux/drivers/ide/ide-dma.c.orig	Thu Aug 23 16:27:14 2001
+++ linux/drivers/ide/ide-dma.c	Thu Aug 23 16:28:03 2001
@@ -155,6 +155,7 @@
 	{ "SAMSUNG CD-ROM SN-124",	"ALL"		},
 	{ "PLEXTOR CD-R PX-W8432T",	"ALL"		},
 	{ "ATAPI CD-ROM DRIVE 40X MAXIMUM",	"ALL"		},
+	{ "_NEC DV5800A",               "ALL"           },  
 	{ 0			,	0		}
 
 };
Comment 1 Arjan van de Ven 2001-08-23 17:44:10 EDT
added, thanks
Comment 2 John A. Hull 2001-09-04 14:30:25 EDT
DMA still on for /dev/cdrom
Comment 3 Michael K. Johnson 2001-09-06 11:21:34 EDT
"DMA still on for /dev/cdrom" as of what kernel?

We know of some odd bugs in RC2 that caused our turning off DMA
not to take effect; those have been fixed since.  Please tell us
what kernel you are using, but we believe this to be fixed now.

Comment 4 John A. Hull 2001-09-11 18:22:49 EDT
Fixed.

Note You need to log in before you can comment on or make changes to this bug.